<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

 <script type="text/javascript">
   function confirmation() {
     if(confirm("Esta seguro de cancelar la cita?"))
     {
        return true;
     }
      return false;
   }
 </script>
 
<?php
  include("header.php");
  //include("conexion.php");
 
  $s_tipoCita = $_GET['tipo'];
 
  if(isset($_POST['cancelaCita']))
   {
     $id = $_POST['cancelaCita'];       
     $fp   = explode("-", $id);
              $tc   = $fp[0];
              $pc   = $fp[1]; 
              $an   = $fp[2];
              $me  = $fp[3];
              $di  = $fp[4];
    
      // conexion a la base de datos
      include("conexion.php");
      // arma listado de citas asignadas al médico
      $query=" SELECT * FROM SIO_O_CITAS WHERE preConsulta = $pc";
      $result = mysql_query($query) or die('Consulta de preconsulta fallida: ' . mysql_error());        
      $line = mysql_fetch_array($result, MYSQL_ASSOC); 
     
      $preCita     = $line["preConsulta"];
      //$nitEmpesa;
      //$codSede;
      $tipoId      = $line["tipoId"];
      $identifica  = $line["idPaciente"];
      $escita      = $line["estado"];
      $fecCita     = $line["fechaAsignacion"];
      $obsCita     = $line["observaciones"];
      $medicoSel   = $line["medConsulta"];
      
       $s_tipoCita = $_POST['tipo'];
 
      
      $w_fecha       = date("Y-m-d",time());
     
      if ($tc == "P")
      {
        $consulteMed = "N";
        $consultePac = "S";
        $nomConsultado = paciente($tipoId, $identifica );      
      }
      
      if ($tc == "M")
      {
        $consulteMed = "S";
        $consultePac = "N";
        $nomConsultado = medico($medicoSel);      
      }
      
      // Liberar resultados
      mysql_free_result($result);
      
      $query=" UPDATE SIO_O_CITAS set estado='CANCELADA', fechaAtencion='$w_fecha' WHERE preConsulta = $pc";
      $result = mysql_query($query) or die('Modificacion estado de preconsulta fallida: ' . mysql_error()); 
      // Liberar resultados
      mysql_free_result($result);
      
      $query = " INSERT INTO `SIO_O_CITAS_MOV` (`preConsulta`, `nitEmpresa`, `codSede`, `tipoId`, `idPaciente`, `estado`, `usuario`, `fechaEstado`) ".
               " VALUES ($pc, $s_nitEmpresa, $s_codSede, '$tipoId', $identifica, 'CANCELADA',$s_idUsuario,'$w_fecha')";
      $result = mysql_query($query) or die('Insercion de movimiento de cita fallida: ' . mysql_error());  
      // Liberar resultados
      mysql_free_result($result);   
      
      $mensRep = "CITA CANCELADA EXITOSAMENETE";
   }//cancela cita
  
?>

<form method="POST" action="<?php echo $_SERVER['PHP_SELF']; ?>">   
   <table align="center" width="960">
          <tr class="camposLista">
            <td width="100%"  align="center"><span class="icon-user-minus" style="font-size:20px; color:rgba(41, 128, 185, 1);"> <span style="font-size:20px; font-family:Arial; color:#c0392b;"> CANCELACION DE CITAS</span> </span></td> 
            
          </tr>
   </table>

<?php
  session_start();
  $s_identifica = $_SESSION['cedula'];
  $s_tipoId     = $_SESSION['tipoId'];

  
  // arma listado de citas asignadas al paciente
  if ($s_tipoCita=="T")
  {
     $queryC=" SELECT * FROM SIO_O_CITAS WHERE tipoId='$s_tipoId' AND idPaciente=$s_identifica AND ".
             " estado='ASIGNADA' AND tratamiento>0 order by preConsulta desc";
  }
  if ($s_tipoCita=="F")
  {
     $queryC=" SELECT * FROM SIO_O_CITAS WHERE tipoId='$s_tipoId' AND idPaciente=$s_identifica AND ".
             " estado='ASIGNADA' AND tratamiento=0 order by preConsulta desc";
  }
 

  $result = mysql_query($queryC) or die('Consulta de citas fallida: ' . mysql_error());
        
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
  {
    $tipoIdc     = $line["tipoId"];
    $idPaciente  = $line["idPaciente"];
    $preCita     = $line["preConsulta"];
    $escita      = $line["estado"];
    $fecCita     = $line["fechaAsignacion"];
    $obsCita     = $line["observaciones"];
    $medico      = $line["medConsulta"];
    $fecAten     = $line["fechaAtencion"];
    $numC        = $line["numConsulta"];
    $tipoHis     = $line["tipoHistoria"];
    $trat        = $line["tratamiento"];
            
    $s_horaAsig  = $line["horaAsignacion"];
    $s_horaIniA  = $line["horaIniAtencion"];
    $s_horaFinA  = $line["horaFinAtencion"];

        
    $partaAsig  = explode(" ",$s_horaAsig);
    $horaAsig   = $partaAsig[1];

    $partaFinA = explode(" ",$s_horaFinA);
    $horaFinA  = $partaFinA[1];
    
    //toma nombre del odontologo seleccionado
    $querym  = "SELECT * FROM SIME_BAS_N_USUARIOS WHERE idUsuario = $medico "; 
    $resultm = mysql_query($querym) or die('Consulta nombre de medico fallida: ' . mysql_error());
    $linem   = mysql_fetch_array($resultm, MYSQL_ASSOC);
    $nomMed  = $linem['nomUsuario'] . " " . $linem['apell1Usuario'] . " " . $linem['apell2Usuario'];
        
    /*
            $querys = "SELECT nomSede ".
                " FROM SIME_BAS_SEDES WHERE codSede=$sedeCita";        
            $results = mysql_query($querys) or die('Consulta de sede fallida: ' . mysql_error());          
            $lines   = mysql_fetch_array($results, MYSQL_ASSOC);
            $s_nomSede  = $lines["nomSede"];
    */
     echo("<table align='center' width='960' border='0' cellpading='0'>\n");
     if ($i==0)
     {// para mostrar titulos 
                //echo ("<tr>\n");
                //   echo   ("<td class='subtutulosTabla' align='center' colspan='4'>DIAGNOSTICOS</td>\n");
                //echo("</tr>\n");
         echo("<tr class='titulosLista'>\n");
           echo("<td width='200' class='negrita'align='center'>Toque para Cancelar</td>\n");
           echo("<td width='100'  class='negrita' align='left'>Estado</td>\n");
           echo("<td width='100'  class='negrita' align='left'>Tratamiento</td>\n");
           echo("<td width='100'  class='negrita' align='left'>H.Asg</td>\n");
           echo("<td width='250' class='negrita'>Odont&oacute;logo</td>\n");
           echo("<td width='310' class='negrita'>Observaciones</td>\n");
         echo("</tr>\n");    
     }
     echo("<tr class='camposLista'>\n");
     if ($escita=="ASIGNADA")
     {
       echo("<td width='200' align='center'><input type='submit' id='cancelaCita' name='cancelaCita' value='P-$preCita - $fecCita ' style='width:130' onclick='return confirmation()'></td>\n");
     }
     else
     {
       echo("<td width='200' align='center'><input type='submit' id='cancelaCita' name='cancelaCita' value='P-$preCita - $fecCita ' style='width:130' disabled></td>\n");
     }
     echo("<td width='100' align='center' class='camposTabla1'>$escita</td>\n");
     echo("<td width='100' align='center' class='camposTabla1'>$trat</td>\n");
     echo("<td width='100' align='center' class='camposTabla1'>$horaAsig</td>\n");
     echo("<td width='250' align='center' class='camposTabla1'>$nomMed</td>\n");
     if ($escita=="ATENDIDA")
     {
       echo("<td width='310' class='camposTabla1' align='left'>Consulta $tipoHis No: $numC,  Realizada el: $fecAten</td>\n");
     }
     else
     {
       echo("<td width='310' class='camposTabla1' align='left'>$obsCita</td>\n");
     }
      echo("</tr>\n");
      $i = $i+1;
    }// while
    echo("</table>\n");
    
    // Liberar resultados
    mysql_free_result($result);
    // Cerrar la conexion
    mysql_close($link);
?>

<?php    
  if ($i==0)
  {
    $mensRep = "EL PACIENTE NO TIENE CITAS ASIGNADAS";
  }
?>
 
   <input style="visibility:hidden" name="tipo" id="tipo"value="<?=$s_tipoCita?>"/> 
  <table align="center" width="970">
     <p>
     

     </p>
     <tr>
        <td class="titulosTabla"><?=$mensRep?></td>
     </tr>
    </table>
 </form>

    
  